from abc import ABC, abstractmethod
from typing import List

class EmbeddingProvider(ABC):
    @abstractmethod
    def getEmbedding(self, word: str) -> List[float]:
        """
        Returns the embedding for the given word
        """
        pass

